%define sname	table_log

Summary:	Log data changes in a PostgreSQL table
Name:		postgresql-%{sname}
Version:	0.4.4
Release:	9%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/1387/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/tablelog
BuildRequires:	postgresql-devel >= 8.1
Requires:	postgresql-server >= 8.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
table_log is a set of functions to log changes on a table in PostgreSQL
and to restore the state of the table or a specific row on any time
in the past.

%prep
%setup -q -n %{sname}-%{version}

%build
make USE_PGXS=1 %{?_smp_mflags} 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/pgsql/
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_docdir}/%{name}-%{version}
install -m 755 %{sname}.so %{buildroot}%{_libdir}/pgsql/%{sname}.so
install -m 755 %{sname}.sql %{buildroot}%{_datadir}/%{name}
install -m 755 %{sname}_init.sql %{buildroot}%{_datadir}/%{name}
install -m 755 README.%{sname} %{buildroot}%{_docdir}/%{name}-%{version}/README

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{sname}*.sql
%{_libdir}/pgsql/%{sname}.so

%changelog
* Sun Oct 03 2010 Robert Scheck <robert@fedoraproject.org> 0.4.4-9
- Remove wrong /sbin/ldconfig call in %%post and %%postun

* Wed Oct 28 2009 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-8.1
- Rebuilt against PostgreSQL 8.4. Fixes bugzilla #531414.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4.4-5
- Include unowned directories.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.4-4.1
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-3.1
- Rebuilt against PostgreSQL 8.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.4.4-3
- Rebuild for selinux ppc32 issue.

* Sat Jun 17 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-2
- Added Requires, per bugzilla review #244536 (Thanks Ruben)
- Renamed README file, per bugzilla review #244536

* Sat Jun 16 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 0.4.4-1
- Initial RPM packaging for Fedora
